<?php
/**
 * @version     2.4.1
 * @package     com_arkmedia
 * @copyright   Copyright (C) 2018. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      WebxSolution Ltd - http://www.arkextensions.com
 */

// Add 3rd Party Helpers
use enshrined\svgSanitize\Sanitizer;

defined( '_JEXEC' ) or die;

/**
 * SVG library mediator
 *
 * @note	This is an Ark Media file. All other helpers/svg files belong to Sanitizer.
 *			Updates to Sanitizer can be directly dropped into the svg folder.
 * 
 * @note	When updating Sanitizer be sure to restore the license & JEXEC JED check requirements.
 * 
 * @note	Joomla is attempting to support SVGs too so this may all go soon.
 * 
 * @see		https://github.com/joomla/joomla-cms/pull/13499.
 */
class HelperSVG
{
	/**
	 * load the SVG library.
	 *
	 * @return  object  Sanitizer object
	 */
	public static function load()
	{
		require( ARKMEDIA_HELPERS . 'svg/data/AttributeInterface.php' );
		require( ARKMEDIA_HELPERS . 'svg/data/TagInterface.php' );
		require( ARKMEDIA_HELPERS . 'svg/data/AllowedAttributes.php' );
		require( ARKMEDIA_HELPERS . 'svg/data/AllowedTags.php' );
		require( ARKMEDIA_HELPERS . 'svg/Sanitizer.php' );

		return new Sanitizer();
	}//end function
}//end class