<?php
/**
 * @version     2.4.1
 * @package     com_arkmedia
 * @copyright   Copyright (C) 2018. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      WebxSolution Ltd - http://www.arkextensions.com
 */

use Ark\Media\Helper;

defined( '_JEXEC' ) or die;

$view			= $displayData->view;
$options 		= $displayData->options;

// Render Part Empty Folder Template
echo Helper::layout( 'list.content.' . $view . '.empty', (object)array( 'view' => $view, 'options' => $options ) );

$date 			= JText::_( ARKMEDIA_JTEXT . 'FILE_DATE_ORDERJS_LBL' );

$css_grid		= array( Helper::css( 'grid.column.medium.12' ) );
$css_collapse	= array( Helper::css( 'collapse.container' ), Helper::css( 'collapse.active' ), Helper::css( 'clear' ) );
?>
<script id="tmpl-content-<?php echo $view;?>-stack" type="text/x-jsrender">
	<div class="<?php echo implode( chr( 32 ), $css_grid ); ?>">
		{{!-- /* Get Current Folder */ --}}
		{^{props ~root.stack}}
			{{!-- /* Find Path */ --}}
			{^{if key == ~root.active.path}}
				{{!-- /* Protect Against Blank Folders */ --}}
				{^{if prop.count}}
					{{!-- /* Async Loading Causes "chronologise" to Not Render So Wait Till Root Folder is Loaded First */ --}}
					{^{if prop.loaded}}
						{{!-- /* Order & Render Files by Date */ --}}
						{^{sort prop.items ^index="modified" ^direction="desc" ~prop=prop}}

							{{!-- /* Render Out Folder/Category if Unique Date */ --}}
							{{if !~previous(#index, #parent.data) || ~date(item.modified, '<?php echo $date; ?>') != ~date(~previous(#index, #parent.data).item.modified, '<?php echo $date; ?>')}}

								{{!-- /* Wrap in if statement as "item.modified" is lost in data-link otherwise */ --}}
								{^{if item.modified}}

									{{!-- /* Render Out Folder */ --}}
									{{include tmpl=~getContentTemplate( 'folder' ) /}}
								{{/if}}
							{{/if}}

							{{!-- /* Render Out File */ --}}
							{{include tmpl=~getContentTemplate( 'file' ) /}}
						{{/sort}}
					{{/if}}
				{{!-- /* Handle Folders With Child Folders But No Files (appear blank) */ --}}
				{{else !prop.count && prop.folders}}
					{{include prop tmpl=~getContentTemplate( 'empty' ) /}}
				{{/if}}
			{{/if}}
		{{/props}}
	</div>
</script>