<?php
/**
 * @version     2.4.1
 * @package     com_arkmedia
 * @copyright   Copyright (C) 2018. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      WebxSolution Ltd - http://www.arkextensions.com
 */

use Ark\Media\Helper;

defined( '_JEXEC' ) or die;

$name 		= $displayData->name;
$type 		= $displayData->type;
$asset 		= $displayData->asset;
$author		= $displayData->author;
$params 	= $displayData->params;
$id 		= $displayData->id;

JHTML::_( 'jquery.framework' );

// Build Media URL
$url = array(
	'option' 		=> ARKMEDIA_COMPONENT,
	'editor' 		=> $type,
	'edit' 			=> '0',
	'stacklock'		=> '0',
	'asset' 		=> $asset,
	'author' 		=> $author,
	'language' 		=> JFactory::getLanguage()->getTag(),
	'tmpl' 			=> 'component'
);

// Restrict Button to Stack
if( $params->get( 'folder-default', false ) )
{
	$url['stacks'] 	= $params->get( 'folder-default' );
}//end if

// Build Window Options
$parameters = array(
	'location' 		=> 'no',
	'menubar' 		=> 'no',
	'toolbar' 		=> 'no',
	'dependent' 	=> 'yes',
	'minimizable' 	=> 'no',
	'modal' 		=> 'yes',
	'alwaysRaised' 	=> 'yes',
	'resizable' 	=> 'yes',
	'scrollbars' 	=> 'yes'
);

// Get window dimensions
$window_xy 	= Helper::params( 'window-dimensions' );
$window_x 	= (int)Helper::params( 'window-x' );
$window_y 	= (int)Helper::params( 'window-y' );

// Set Window Dimensions
switch( $window_xy )
{
	default :
	case 'auto' :
		// Leave Unset For Browser Calculation
		break;

	case 'calc' :
		$parameters['fullscreen'] 	= 'yes';
		$parameters['width'] 		= '\' + screen.width + \'';
		$parameters['height']		= '\' + screen.height + \'';
		break;

	case 'custom' :
		if( $window_x && $window_y )
		{
			$parameters['width'] 	= $window_x;
			$parameters['height']	= $window_y;
		}//end if
		break;
}//end switch

// Collapse to URL Query String (ensure sprintf's aren't encoded)
$url = JRoute::_( 'index.php?' . JURI::buildQuery( $url ), false );

// Collapse Window String
$parameters = JArrayHelper::toString( $parameters, '=', ',' );

// Strip Double Quotes Added By JString & Convert Singles to JS Doubles
$parameters = ( str_replace( array( '"', '\'' ), array( '', '"' ), $parameters ) );
?>
<script>
	jQuery( document ).ready( function( $ )
	{
		var $menu = $( '[ark-toolbar] [ark-toolbar-item="<?php echo $id; ?>"]' );

		$menu.on( 'click', '[ark-toolbar-item-link]', function( ev )
		{
			window.open( '<?php echo $url; ?>', '<?php echo $id; ?>', '<?php echo $parameters; ?>' );
		});
	});
</script>