<?php
/**
 * @version     2.4.1
 * @package     com_arkmedia
 * @copyright   Copyright (C) 2018. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      WebxSolution Ltd - http://www.arkextensions.com
 */

use Ark\Media\Helper;

defined( '_JEXEC' ) or die;

$name 		= $displayData->name;
$type 		= $displayData->type;
$asset 		= $displayData->asset;
$author		= $displayData->author;
$js 		= $displayData->plugin . 'js' . ARKMEDIA_DS;
$params 	= $displayData->params;
$id 		= $displayData->id;

// Add Root Library JS (not the rest of the library)
Helper::html( 'ark.framework', array( 'overrides' => false, 'ark' => false, 'fonts' => false ) );

// Load Logo Font & XTD Class
Helper::html( 'ark.css', 'ark-logo.min' );
Helper::html( 'ark.js', 'ark-' . $name . '.min', $js, false, false );

// Build Media URL
$key = '[editor]';
$url = array(
	'option' 		=> ARKMEDIA_COMPONENT,
	'editor' 		=> $type,
	'editorname' 	=> $key, // Use Placeholder Instead of $name
	'edit' 			=> '0',
	'stacklock'		=> '0',
	'asset' 		=> $asset,
	'author' 		=> $author,
	'language' 		=> JFactory::getLanguage()->getTag(),
	'tmpl' 			=> 'component'
);

// Restrict Button to Stack
// @see	[#4553] For default stack setting but no restrictions
if( $params->get( 'folder-default', false ) )
{
	$url['stacks'] 	= $params->get( 'folder-default' );
}//end if

// Build Window Options
$parameters = array(
	'location' 		=> 'no',
	'menubar' 		=> 'no',
	'toolbar' 		=> 'no',
	'dependent' 	=> 'yes',
	'minimizable' 	=> 'no',
	'modal' 		=> 'yes',
	'alwaysRaised' 	=> 'yes',
	'resizable' 	=> 'yes',
	'scrollbars' 	=> 'yes'
);

// Get window dimensions (fallback to old param location in plugin for backwards compatibility)
$window_xy 	= Helper::params( 'window-dimensions', $params->get( 'window-dimensions', Helper::params( 'window-dimensions' ) ) );
$window_x 	= (int)Helper::params( 'window-x', $params->get( 'window-x', Helper::params( 'window-x' ) ) );
$window_y 	= (int)Helper::params( 'window-y', $params->get( 'window-y', Helper::params( 'window-y' ) ) );

// Set Window Dimensions
switch( $window_xy )
{
	default :
	case 'auto' :
		// Leave Unset For Browser Calculation
		break;

	case 'calc' :
		$parameters['fullscreen'] 	= 'yes';
		$parameters['width'] 		= '\' + screen.width + \'';
		$parameters['height']		= '\' + screen.height + \'';
		break;

	case 'custom' :
		if( $window_x && $window_y )
		{
			$parameters['width'] 	= $window_x;
			$parameters['height']	= $window_y;
		}//end if
		break;
}//end switch

// Collapse to URL Query String (ensure sprintf's aren't encoded)
$url = JRoute::_( 'index.php?' . JURI::buildQuery( $url ), false );

// Collapse Window String
$parameters = JArrayHelper::toString( $parameters, '=', ',' );

// Strip Double Quotes Added By JString & Convert Singles to JS Doubles
$parameters = ( str_replace( array( '"', '\'' ), array( '', '"' ), $parameters ) );
?>
<script>
	jQuery( document ).ready( function( $ )
	{
		// Define In Case The Editor Doesn't Define (In ready() to give editor time to define)
		if( typeof jGetEditorSelectedImage !== 'function' )
		{
			var jGetEditorSelectedImage = function( editorname )
			{
				return null;
			}
		}//end if

		jQuery.fn.arkeditorxtd(
		{
			parameters	: '<?php echo $parameters; ?>',
			id			: '<?php echo $id; ?>',
			url			: '<?php echo $url; ?>',
			key			: '<?php echo $key; ?>'
		});
	});

</script>