<?php
/**
 * @version     2.4.1
 * @package     com_arkmedia
 * @copyright   Copyright (C) 2018. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      WebxSolution Ltd - http://www.arkextensions.com
 */

use Ark\Media\Helper;

defined( '_JEXEC' ) or die;

// @see	https://github.com/blueimp/jQuery-File-Upload/wiki
// @see	https://github.com/blueimp/jQuery-File-Upload/wiki/API
// @see	https://github.com/blueimp/jQuery-File-Upload/wiki/Options
// @see	https://github.com/blueimp/JavaScript-Load-Image
// @see	https://github.com/blueimp/JavaScript-Canvas-to-Blob

$element	= $displayData->element;
$basename	= $displayData->fieldname;
$fieldset	= current( $element->xpath( 'parent::fieldset' ) );
$layouts	= (string)$element['layout'];
$basepath	= (string)$element['path'];
$jspath		= (string)$element['js'] . ARKMEDIA_DS;
$csspath	= (string)$element['css'] . ARKMEDIA_DS;
$base		= array( 'base' => ARKMEDIA_ROOT . ARKMEDIA_DS . $basepath, 'client' => 'auto' );

// Ark Upload Initiator File
Helper::html( 'ark.js', 'ark-' . $basename . '.min', $jspath, false, false, ARKMEDIA_PLUGIN_FEATURE . ':' . $basename );
// JQuery Widget Library
// @required plg-upload/plg-ui-widget.min.js
// Support for Browsers Without XHR Uploads
// @required plg-upload/plg-iframe-transport.min.js
// Root Upload Library File
// @required plg-upload/plg-upload-core.min.js
// Upload Processing Plugin
// @required plg-upload/plg-upload-process.min.js
// Upload Validation Plugin
// @required plg-upload/plg-upload-validate.min.js
// Upload User Interface Plugin
// @required plg-upload/plg-upload-ui.min.js
// Multimedia Preview & Resizing Plugin (minified only as unmin original is in lots of parts)
// @required plg-upload/plg-upload-load-image.min.js
// The Canvas to Blob Plugin (for image resizing)
// @required plg-upload/plg-upload-canvas.min.js

// Add CSS
Helper::html( 'ark.css', 'ark-' . $basename . '.min', $csspath, array(), false );

// Set Options
$action		= ( isset( $element['action'] ) ) ? (string)$element['action'] : '';
$formid		= ( $fieldset && isset( $fieldset['id'] ) ) ? (string)$fieldset['id'] : '';
$beforeid	= 'tmpl-' . $basename . '-before';
$afterid	= 'tmpl-' . $basename . '-after';
$moreid		= 'tmpl-' . $basename . '-advanced';
$autoupload	= ( isset( $element['autoupload'] ) ) ? (int)$element['autoupload'] : 0;
$jtext		= ( isset( $element['jtext'] ) ) ? (string)$element['jtext'] : ARKMEDIA_JTEXT;

$displayData->options = new JRegistry;
$displayData->options->set( 'action', $action );
$displayData->options->set( 'formid', $formid );
$displayData->options->set( 'beforeid', $beforeid );
$displayData->options->set( 'afterid', $afterid );
$displayData->options->set( 'moreid', $moreid );
$displayData->options->set( 'autoupload', $autoupload );
$displayData->options->set( 'jtext', $jtext );

// If No Action on the Element Get it From the Fieldset
if( !$displayData->options->get( 'action', false ) && $fieldset && isset( $fieldset['action'] ) )
{
	$displayData->options->set( 'action', (string)$fieldset['action'] );
}//end if

// Set CSS
$css_grid		= array( $basename . '-container' );
$css_droparea	= '.' . $basename . '-area';
$css_pastearea	= '.' . $basename . '-area';
$css_queue		= '.' . $basename . '-queue';
$css_actions	= '.' . $basename . '-actionbar' . chr( 32 ) . '.' . Helper::css( 'button.button' );
$css_root		= '#' . $displayData->options->get( 'formid' ) . chr( 32 ) . $css_queue;
$css_tooltip	= '.' . Helper::css( 'joomla.tooltip' );
$css_container	= '#' . Helper::css( 'root' );

// Add Localised File Message Tooltip
JHTML::_( 'bootstrap.tooltip', $css_root, array( 'selector' => $css_tooltip, 'container' => $css_container ) );

// If "documentdrop" is Enabled then Drag & Drop to Whole Page Otherwise Just Drag & Drop Area
$documentdrop 	= ( isset( $element['documentdrop'] ) ) ? (int)$element['documentdrop'] 	: 0;
$toggle 		= ( isset( $element['togglename'] ) )	? (string)$element['togglename'] 	: 'toggle';
$stack 			= ( isset( $element['stackname'] ) ) 	? (string)$element['stackname'] 	: 'stack';
$path 			= ( isset( $element['pathname'] ) ) 	? (string)$element['pathname'] 		: 'path';

// Grab lowest max upload value
$upload 		= Helper::html( 'text.bytes', ini_get( 'upload_max_filesize' ) );
$post 			= Helper::html( 'text.bytes', ini_get( 'post_max_size' ) );
$memory 		= Helper::html( 'text.bytes', ini_get( 'memory_limit' ) );
$maxupload		= min( array_filter( array( $upload, $post, $memory ) ) ); // Filter Out Null Values

// Render Before & After Layout Templates
echo Helper::layout( $layouts . '.before', $displayData, $base );
echo Helper::layout( $layouts . '.after', $displayData, $base );
?>
<!-- HTML Container -->
<div id="<?php echo $displayData->id; ?>" class="<?php echo implode( chr( 32 ), $css_grid ); ?>">
	<!-- HTML Action Bar -->
	<div class="fileupload-buttonbar">

		<!-- Actions -->
		<?php echo Helper::layout( $layouts . '.actions', $displayData, $base ); ?>

		<!-- Progress Stats -->
		<?php echo Helper::layout( $layouts . '.more', $displayData, $base ); ?>

	</div>

<!-- File Stack Container -->
<?php echo Helper::layout( $layouts . '.stack', $displayData, $base ); ?>
</div>
<script>
	jQuery( document ).ready( function( $ )
	{
		jQuery.fn.upload(
		{
			css				: {
								form		: '#<?php echo $displayData->options->get( 'formid' ); ?>',
								statistics	: '.progress-advanced',
								droparea	: '<?php echo $css_droparea; ?>',
								pastearea	: '<?php echo $css_pastearea; ?>',
								queue		: '<?php echo $css_queue; ?>',
								toggle		: '#<?php echo $displayData->formControl; ?>_<?php echo $toggle; ?>',
								stack		: '#<?php echo $displayData->formControl; ?>_<?php echo $stack; ?>',
								path		: '#<?php echo $displayData->formControl; ?>_<?php echo $path; ?>',
								control		: '<?php echo $css_actions; ?>',
								tooltip 	: { value : '<?php echo Helper::css( 'joomla.tooltip' ); ?>', selector : '.<?php echo Helper::css( 'joomla.tooltip' ); ?>' },
								templates	: {
												before 	: '#<?php echo $displayData->options->get( 'beforeid' ); ?>',
												after 	: '#<?php echo $displayData->options->get( 'afterid' ); ?>',
												more 	: '#<?php echo $displayData->options->get( 'moreid' ); ?>'
											  }
							  },
			html 			: {
								ajax		: '<?php echo JRoute::_( $displayData->options->get( 'action' ), false ); ?>',
								start		: '<?php echo JText::_( $jtext . 'UPLOADING_LBL', true ); ?>',
								status		: '<?php echo JText::_( $jtext . 'UPLOADING_SPRINTF', true ); ?>',
								errors		: {
												<?php /* Use Component Language for Messages  */ ?>
												path 		: '<?php echo JText::_( ARKMEDIA_JTEXT . 'MSG_FILENOPATHUPLOAD_FAIL', true ); ?>',
												field 		: '<?php echo JText::_( ARKMEDIA_JTEXT . 'MSG_FILENOFILEUPLOAD_FAIL', true ); ?>',
												observer 	: '<?php echo JText::_( ARKMEDIA_JTEXT . 'MSG_FILENOOBSERVERUPLOAD_PARTIAL', true ); ?>',
												maxsize 	: '<?php echo JText::_( ARKMEDIA_JTEXT . 'MSG_FILEMAXSIZE_FAIL', true ); ?>'
											  }
							  },
			maxupload		: <?php echo $maxupload; ?>,
			documentdrop	: <?php echo $documentdrop; ?>,
			autoupload 		: <?php echo $displayData->options->get( 'autoupload' ); ?>
		});
	});
</script>