<?php
/**
 * @version     2.4.1
 * @package     com_arkmedia
 * @copyright   Copyright (C) 2018. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      WebxSolution Ltd - http://www.arkextensions.com
 */

use Ark\Media\Helper;

defined( '_JEXEC' ) or die;

$jtext		= $displayData->options->get( 'jtext' );

// The fileinput-button, start & cancel Classes is for Use By the Upload Library
$css_add	= array( 'fileinput-button', Helper::css( 'button.file' ), Helper::css( 'button.button' ), Helper::css( 'button.type.default' ) );
$css_start	= array( 'start', Helper::css( 'button.button' ), Helper::css( 'button.type.primary' ) );
$data_more	= array( 'target' => '#action-' . $displayData->fieldname . '-advanced' );
$text_clear	= JText::_( $jtext . 'BTN_CANCEL_LBL' );
$text_more	= JText::_( $jtext . 'BTN_MORE_LBL' );
?>
<div class="<?php echo $displayData->fieldname; ?>-actionbar">
	<!-- The 'fileinput-button' Span is For Styling the Input Field -->
	<span class="<?php echo Helper::html( 'text.implode', $css_add ); ?>">
		<?php echo Helper::html( 'icon.icomoon', 'plus' ); ?>
		<span><?php echo JText::_( $jtext . 'BTN_ADD_LBL' ); ?></span>
		<input type="file" name="<?php echo $displayData->formControl; ?>[file]" multiple>
	</span>
	<?php if( !$displayData->options->get( 'autoupload', false ) ) : ?>
		<button type="submit" class="<?php echo Helper::html( 'text.implode', $css_start ); ?>">
			<?php echo Helper::html( 'icon.icomoon', 'play3', array( 'attrs' => array( 'data-loading' => 'loaded' ) ) ); ?>
			<?php echo Helper::html( 'icon.icomoon', 'spinner', array( 'attrs' => array( 'data-loading' => 'loading' ) ) ); ?>
			<span data-loading="loaded"><?php echo JText::_( $jtext . 'BTN_START_LBL' ); ?></span>
			<span data-loading="loading"><?php echo JText::_( $jtext . 'BTN_LOADING_LBL' ); ?></span>
		</button>
	<?php endif; ?>
	<?php echo Helper::html( 'button.button', array( 'text' => $text_clear, 'type' => 'reset', 'icon' => 'close', 'bootstrap' => 'collapse', 'extra' => 'cancel' ) ); ?>
	<span data-toggle="buttons">
		<?php echo Helper::html( 'button.button', array( 'text' => $text_more, 'type' => 'button', 'icon' => 'bars', 'bootstrap' => 'collapse', 'data' => $data_more ) ); ?>
	</span>
</div>