<?php
/**
 * @version     2.4.1
 * @package     com_arkmedia
 * @copyright   Copyright (C) 2018. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      WebxSolution Ltd - http://www.arkextensions.com
 */

use Ark\Media\Helper;

defined( '_JEXEC' ) or die;

// Set CSS
$css_container	= array( 'file', 'template-download', Helper::css( 'box.panel.container' ), Helper::css( 'align.left' ), Helper::css( 'text.align.center' ), Helper::css( 'animate.fade' ) );
$css_body		= array( Helper::css( 'box.panel.body' ) );
$css_title		= array( 'title', Helper::css( 'ark.text.overflow' ) );
$css_size		= array( 'size', Helper::css( 'text.muted' ) );
$css_footer		= array( $displayData->fieldname . '-actions', Helper::css( 'box.panel.footer' ) );
$css_buttons	= array( Helper::css( 'button.group' ) );
$css_message	= array( 'plain', Helper::css( 'button.button' ), Helper::css( 'button.type.default' ), Helper::css( 'button.size.mini' ) );
$css_error		= array( 'notification', Helper::css( 'text.primary' ) );
$css_success	= array( 'checkmark', Helper::css( 'text.success' ) );
$css_delete		= array( 'close', Helper::css( 'text.danger' ) );
$css_clear		= array( 'close', Helper::css( 'text.danger' ) );
$data_delete	= array( 'type' => '{{:deleteType}}', 'url' => '{{:deleteUrl}}', 'xhr-fields' => "{{:!deleteWithCredentials ? '{\\\"withCredentials\\\":true}' : ''}}" ); // Note the Extra Escapes to Handle JHTMLButton Text Conversion

// Add JS CSS Logic
$css_container[]= '{{:~type(type)}}';
$css_container[]= '{{:error ? "' . Helper::css( 'box.panel.type.danger' ) . ' failed" : "' . Helper::css( 'box.panel.type.success' ) . '"}}';
$css_container[]= '{{:messages || error ? "' . Helper::css( 'joomla.tooltip' ) . '" : ""}}';
?>
<!-- Upload Complete/Failed Files -->
<script id="<?php echo $displayData->options->get( 'afterid' ); ?>" type="text/x-jsrender">
	{{for files}}
		{{!-- /* The data-type is for Tooltip Colouring */ --}}
		<div class="<?php echo Helper::html( 'text.implode', $css_container ); ?>" 
			title="{{>messages ? ~tooltip(messages, '<br /><br />') : error ? error : ''}}" 
			data-type="{{:error ? 'danger' : 'success'}}">
			<div class="<?php echo Helper::html( 'text.implode', $css_body ); ?>">
				<div class="preview {{:error ? 'failed' : preview.thumbnail ? '' : preview.icon ? 'icon' : ''}}">
					{{if error}}
						<?php echo Helper::html( 'icon.icomoon', 'warning' ); ?>
					{{else preview.thumbnail}}
						<img src="{{:preview.thumbnail}}&size=80x80x7" />
					{{else preview.icon}}
						<i class="{{:preview.icon}}"></i>
					{{/if}}
				</div>
				<div class="<?php echo Helper::html( 'text.implode', $css_title ); ?>">
					<small>
						{{:name}}
					</small>
				</div>
				<div class="<?php echo Helper::html( 'text.implode', $css_size ); ?>">
					<small>
						{{:~bytes(size)}}
					</small>
				</div>
			</div>
			<div class="<?php echo Helper::html( 'text.implode', $css_footer ); ?>">
				<div class="<?php echo Helper::html( 'text.implode', $css_buttons ); ?>">
					<button class="<?php echo Helper::html( 'text.implode', $css_message ); ?>" disabled>
						{{if error}}
							<?php echo Helper::html( 'icon.icomoon', Helper::html( 'text.implode', $css_error ) ); ?>
						{{else}}
							<?php echo Helper::html( 'icon.icomoon', Helper::html( 'text.implode', $css_success ) ); ?>
						{{/if}}
					</button>
					{{if deleteUrl}}
						<?php echo Helper::html( 'button.button', array( 'icon' => Helper::html( 'text.implode', $css_delete ), 'size' => 'mini', 'colour' => 'plain', 'extra' => 'delete', 'data' => $data_delete ) ); ?>
						<input type="checkbox" name="delete" value="1" class="toggle">
					{{else}}
						<?php echo Helper::html( 'button.button', array( 'icon' => Helper::html( 'text.implode', $css_clear ), 'size' => 'mini', 'colour' => 'plain', 'extra' => 'cancel' ) ); ?>
					{{/if}}
				</div>
			</div>
		</div>
	{{/for}}
</script>