<?php
/**
 * @version     2.4.1
 * @package     com_arkmedia
 * @copyright   Copyright (C) 2018. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      WebxSolution Ltd - http://www.arkextensions.com
 */

use Ark\Media\Helper;

defined( '_JEXEC' ) or die;

$jtext			= $displayData->options->get( 'jtext' );

// Set CSS
$css_container	= array( 'file', 'template-upload', '{{:~type(type)}}', Helper::css( 'box.panel.container' ), Helper::css( 'align.left' ), Helper::css( 'text.align.center' ), Helper::css( 'animate.fade' ) );
$css_body		= array( Helper::css( 'box.panel.body' ) );
$css_title		= array( 'title', Helper::css( 'ark.text.overflow' ) );
$css_size		= array( Helper::css( 'text.muted' ) );
$css_progress	= array( Helper::css( 'progress.container' ), Helper::css( 'progress.striped' ), Helper::css( 'progress.active' ) );
$css_progressbar= array( Helper::css( 'progress.bar' ), Helper::css( 'progress.type.success' ) );
$css_footer		= array( $displayData->fieldname . '-actions', Helper::css( 'box.panel.footer' ) );
$css_buttons	= array( Helper::css( 'button.group' ) );
$css_start		= array( 'play3', Helper::css( 'text.success' ) );
$css_clear		= array( 'close', Helper::css( 'text.danger' ) );
?>
<!-- Upload Pending Files -->
<script id="<?php echo $displayData->options->get( 'beforeid' ); ?>" type="text/x-jsrender">
	{{for files}}
		<div class="<?php echo Helper::html( 'text.implode', $css_container ); ?>">
			<div class="<?php echo Helper::html( 'text.implode', $css_body ); ?>">
				<div class="preview"></div>
				<div class="<?php echo Helper::html( 'text.implode', $css_title ); ?>">
					<small>
						{{:name}}
					</small>
				</div>
				<div class="<?php echo Helper::html( 'text.implode', $css_size ); ?>">
					<small class="size">
						<?php echo JText::_( $jtext . 'SIZING_LBL' ); ?>
					</small>
				</div>
				<div class="<?php echo Helper::html( 'text.implode', $css_progress ); ?>" role="progressbar" aria-valuemin="0" aria-valuemax="100" aria-valuenow="0">
					<div class="<?php echo Helper::html( 'text.implode', $css_progressbar ); ?>" style="width : 0%;"></div>
				</div>
			</div>
			<div class="<?php echo Helper::html( 'text.implode', $css_footer ); ?>">
				<div class="<?php echo Helper::html( 'text.implode', $css_buttons ); ?>">
					{{if !~root.options.autoUpload}}
						<?php echo Helper::html( 'button.button', array( 'icon' => Helper::html( 'text.implode', $css_start ), 'size' => 'mini', 'colour' => 'plain', 'extra' => 'start' ) ); ?>
					{{/if}}
					<?php echo Helper::html( 'button.button', array( 'icon' => Helper::html( 'text.implode', $css_clear ), 'size' => 'mini', 'colour' => 'plain', 'extra' => 'cancel' ) ); ?>
				</div>
			</div>
		</div>
	{{/for}}
</script>