<?php
/**
 * @version     2.4.1
 * @package     com_arkmedia
 * @copyright   Copyright (C) 2018. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      WebxSolution Ltd - http://www.arkextensions.com
 */

use Ark\Media\Helper;

defined( '_JEXEC' ) or die;

// Set IDs
$id				= 'action-' . $displayData->fieldname . '-advanced';

// Set CSS
$css_container	= array( $displayData->fieldname . '-progress', Helper::css( 'collapse.container' ) );
$css_panel		= array( 'fileupload-progress', Helper::css( 'box.panel.container' ) );
$css_head		= array( Helper::css( 'box.panel.header' ) );
$css_progress	= array( Helper::css( 'progress.container' ), Helper::css( 'progress.striped' ), Helper::css( 'progress.active' ) );
$css_progressbar= array( Helper::css( 'progress.bar' ), Helper::css( 'progress.type.success' ) );
$css_list		= array( 'progress-advanced', Helper::css( 'box.list.container' ) );
$css_stat		= array( Helper::css( 'box.list.item' ) );
?>
<!-- Advance Progress Stats -->
<div id="<?php echo $id; ?>" class="<?php echo Helper::html( 'text.implode', $css_container ); ?>">
	<div class="<?php echo Helper::html( 'text.implode', $css_panel ); ?>">
		<div class="<?php echo Helper::html( 'text.implode', $css_head ); ?>">
			<!-- Progress Bar -->
			<div class="<?php echo Helper::html( 'text.implode', $css_progress ); ?>" role="progressbar" aria-valuemin="0" aria-valuemax="100">
				<div class="<?php echo Helper::html( 'text.implode', $css_progressbar ); ?>" style="width : 0%;"></div>
			</div>
		</div>
		<ul class="<?php echo Helper::html( 'text.implode', $css_list ); ?>">
			<!-- Extended Data Loaded Here -->
		</ul>
	</div>
</div>

<!-- More Details -->
<script id="<?php echo $displayData->options->get( 'moreid' ); ?>" type="text/x-jsrender">
	<li class="<?php echo Helper::html( 'text.implode', $css_stat ); ?>">
		<?php echo Helper::html( 'icon.icomoon', 'meter' ); ?> {{:bitrate ? bitrate : '0 Mbit/s'}}
	</li>
	<li class="<?php echo Helper::html( 'text.implode', $css_stat ); ?>">
		<?php echo Helper::html( 'icon.icomoon', 'clock' ); ?> {{:time ? time : '00:00:00'}}
	</li>
	<li class="<?php echo Helper::html( 'text.implode', $css_stat ); ?>">
		<?php echo Helper::html( 'icon.icomoon', 'pie' ); ?> {{:percent ? percent : '0'}}%
	</li>
	<li class="<?php echo Helper::html( 'text.implode', $css_stat ); ?>">
		<?php echo Helper::html( 'icon.icomoon', 'attachment' ); ?> {{:size.loaded ? size.loaded : '0 MB'}} / {{:size.total ? size.total : '0 MB'}}
	</li>
</script>